<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">


<!-- =============================================== -->
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li><a th:href="@{/admin/home}"><i class="fa fa-dashboard"></i> Dashboard</a></li>
    <li><a th:href="@{/admin/transaction/list/}"><i class="fa fa-money"></i>[[#{page.title.trx.company.payroll}]]</a></li>
    <li class="active">[[#{label.detail}]]</li>
</ol>
<!-- Content Wrapper. Contains page content -->

<!-- Main content -->
<section class="content" th:fragment="content">
    <div class="row">
        <div class="col-md-12">
            <br/>
            <a class="btn btn-default" th:href="@{/admin/transaction/list}"><i class="fa fa-arrow-left"></i>[[#{button.back}]]</a>
            <br/>
            <br/>
            <div class="box">
                <br/>
                <!-- /.box-header -->
                <div class="box-body">

                    <div class="row text-center">
                        <form class="form-horizontal" th:object="${data}">
                            <div class="col-md-3 detail-payroll-info-div">
                                <strong><i class="fa fa-university margin-r-5"></i>[[#{label.company.name}]]</strong>

                                <input th:field="*{id}" id="idComp" hidden="true" />
                                <p class="text-muted" th:text="*{companyId.name}" />

                                <hr/>
                                <strong><i class="fa fa-home margin-r-5"></i>[[#{label.taCompany.name}]]</strong>

                                <p class="text-muted" th:text="*{taCompanyId.name}" />
                            </div>
                            <div class="col-md-3 detail-payroll-info-div">
                                <strong><i class="fa fa-info margin-r-5"></i>[[#{label.status}]]</strong>

                                <p class="text-muted" th:text="*{status}" />
                                <hr/>
                                <strong><i class="fa fa-book margin-r-5"></i>[[#{label.reason}]]</strong>

                                <p class="text-muted" th:text="*{reason}" />
                            </div>
                            <div class="col-md-3 detail-payroll-info-div">
                                <strong><i class="fa fa-user margin-r-5"></i>[[#{label.checked.by}]]</strong>

                                <p class="text-muted" th:text="${data.checkedBy != null} ? *{checkedBy.name} : '-'" ></p>
                                <hr/>
                                <strong><i class="fa fa-calendar margin-r-5"></i>[[#{label.checked.date}]]</strong>

                                <p class="text-muted" th:text="*{checkedDateStr}" />
                            </div>
                            <div class="col-md-3">
                                <strong><i class="fa fa-map margin-r-5"></i>[[#{label.periode.year}]]</strong>

                                <p class="text-muted" th:text="*{periodeYear}" />
                                <hr/>
                                <strong><i class="fa fa-snowflake-o margin-r-5"></i>[[#{label.periode.month}]]</strong>

                                <p class="text-muted"  th:text="*{periodeMonthStr}" />
                            </div>
                        </form>
                    </div>

                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->

            <div class="box">
                <div class="box-header with-border">
                    <h3 class="box-title">[[#{table.title.detail.payroll}]]</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table id="table" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th class="text-center">[[#{label.no.}]]</th>
                            <th>[[#{label.employee.number}]]</th>
                            <th>[[#{label.employee.name}]]</th>
                            <th class="text-center">[[#{label.department}]]</th>
                            <th class="text-center">[[#{label.account.number}]]</th>
                            <th class="text-right">[[#{label.total.transaction}]]</th>
                            <th class="text-center">[[#{label.transaction.date}]]</th>
                        </tr>
                        </thead>
                    </table>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
<!-- /.content -->

<div th:fragment="css" th:remove="tag">
    <link rel="stylesheet" th:href="@{/css/datatables.bootstrap.css}"/>
</div>
<div th:fragment="js" th:remove="tag">
    <script th:src="@{/js/jquery.datatables.js}"></script>
    <script th:src="@{/js/datatables.bootstrap.js}"></script>
    <script type="text/javascript" th:inline="javascript">
        /*<![CDATA[*/
        $(document).ready(function() {
            var csrf=/*[[${_csrf.token}]]*/'';
            var table=$('#table');
            var idComp = $('#idComp').val();
            console.log(idComp);

            var dataTable=table.DataTable({
                ajax:{
                    data:function(d){
                        d._csrf=csrf;
                        d.idComp=idComp;
                    },
                    type:'POST',
                    url:/*[[@{/admin/transaction/search-detail}]]*/''

                },
                columnDefs: [
                    { targets: [0, 4], orderable: false, className:'text-center'},
                    { targets: [1, 2, 3], className:'text-left'}
                ],
                language:{
                    url:/*[[@{/js/i18n/datatables.{lang}.json/(lang=${lang})}]]*/''
                },
                processing:true,
                serverSide:true
            });
            dataTable.on('error.dt',function(e,settings,techNote,message){
                var swalTitle=/*[[#{swal.error.title}]]*/'';
                var swalMessage=/*[[#{swal.error.connection}]]*/'';
                swal(swalTitle,swalMessage,'error');
            });

            <!--$('#searchBtn').click(function(){-->
                <!--table.data('companyName', $('#companyName').val());-->
                <!--dataTable.ajax.reload();-->
            <!--});-->
        });
/*]]>*/
</script>

    <script>
        $(document).ready(function () {
            //Datatable
            $('#dtTable').DataTable({
                "paging": true,
                "lengthChange": false,
                "searching": false,
                "ordering": true,
                "info": false,
                "autoWidth": false
            });

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true,
                format: "yyyy",
                viewMode: "years",
                minViewMode: "years"
            });
        });

</script>
</div>



</html>